%bcond_without bootstrap

%global packname cli
%global packver  2.2.0
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          2.2.0
Release:          1
Summary:          Helpers for Developing Command Line Interfaces

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz

BuildArch:        noarch
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-assertthat
BuildRequires:    R-crayon >= 1.3.4
BuildRequires:    R-glue
BuildRequires:    R-methods
BuildRequires:    R-utils
BuildRequires:    R-fansi
%if %{without bootstrap}
BuildRequires:    R-callr
BuildRequires:    R-htmlwidgets
BuildRequires:    R-knitr
BuildRequires:    R-mockery
BuildRequires:    R-ps >= 1.3.4.9000
BuildRequires:    R-rmarkdown
BuildRequires:    R-rstudioapi
BuildRequires:    R-prettycode >= 1.1.0
BuildRequires:    R-testthat
BuildRequires:    R-withr
%endif

%description
A suite of tools to build attractive command line interfaces ('CLIs'), from
semantic elements: headings, lists, alerts, paragraphs, etc. Supports custom
themes via a 'CSS'-like language. It also contains a number of lower level
'CLI' elements: rules, boxes, trees, and 'Unicode' symbols with 'ASCII'
alternatives. It integrates with the 'crayon' package to support 'ANSI'
terminal colors.


%prep
%setup -q -c -n %{packname}
sed -i 's/covr, //g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{without bootstrap}
export LANG=C.UTF-8
%{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%license %{rlibdir}/%{packname}/LICENSE
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/examples
%{rlibdir}/%{packname}/logo.txt
%{rlibdir}/%{packname}/scripts


%changelog
* Tue Jun 14 2022 misaka00251 <misaka00251@misakanet.cn> - 2.2.0-1
- Init package (Thanks to fedora team)
